Arch Frame/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 13: Line 13:
== Cum se folosește ==
== Cum se folosește ==


# Creați un obiect de aspect și un obiect de profil, de exemplu cu [[Workbench Draft]] sau [[Sketcher Workbench]]
# Creați un aspect al unui obiect și profilul unui un obiect, de exemplu cu [[Workbench Draft]] sau [[Sketcher Workbench]]
# Selectați mai întâi obiectul layout, apoi cu {{KEY|CTRL}} apăsat, selectați obiectul profil
# Selectați primul obiect în aspect, apoi țineți apăsată tasta {{KEY | CTRL}} și selectați obiectul care urmează a fi profilat
# Apăsați butonul {{KEY|[[Image:Arch Frame.png|16px]] [[Arch Frame]]}}, sau apăsați tastele în ordine {{KEY|F}} apoi {{KEY|R}}
# Apăsați butonul {{KEY|[[Image:Arch Frame.png|16px]] [[Arch Frame]]}}, sau apăsați tastele în ordine {{KEY|F}} apoi {{KEY|R}}



Revision as of 13:49, 20 November 2018

Arch Frame

Menu location
Arch → Frame
Workbenches
Arch
Default shortcut
F R
Introduced in version
-
See also
None

Descriere

Instrumentul cadru este folosit pentru a construi toate tipurile de obiecte cadru. Profilul este extrudat, cum ar fi sketch sau un draft object. Este deosebit de util să se creeze balustrade sau pereți de rame. Obiectele de cadru pot fi apoi transformate în obiecte wall sau

structure .

În imaginea de mai sus, un line a fost transformat într-un array și un obiect cadru a fost făcut utilizând matricele ca aspect și un circleca profil.

Cum se folosește

  1. Creați un aspect al unui obiect și profilul unui un obiect, de exemplu cu Workbench Draft sau Sketcher Workbench
  2. Selectați primul obiect în aspect, apoi țineți apăsată tasta CTRL și selectați obiectul care urmează a fi profilat
  3. Apăsați butonul Arch Frame, sau apăsați tastele în ordine F apoi R

Opţiuni

  • Frames share the common properties and behaviours of all Arch Components
  • The frame object can be placed at a certain distance from the layout object, by setting its Offset property
  • The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.

Proprietăți

  • DateBase: The layout this frame is based on.
  • DateProfile: The profile this frame is based on.
  • DateAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • DateOffset: An optional distance between the layout object and the frame object.
  • DateRotation: The rotation of the profile around its extrusion axis.

Scrip-Programare

Instrumentul Frame poate fi utilizat în macros și de la consola python utilizând următoarele funcții:

makeFrame ( layout,profile )
  • Creează un obiect cadru dintr-o schiță de bază (sau orice alt obiect care conține fire) și un obiect profil (un obiect extrudabil 2D care conține fețe sau fire închise)
  • Returnează noul obiect cadru sau Niciunul dacă operația a eșuat.

Exempluː

import Draft, Arch
layout = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
profile = Draft.makeCircle(.2)
Arch.makeFrame(layout,profile)